Loading...
Searching...
No Matches
event::Engine::Action Struct Reference

An action is a tuple of 'id' (unique within the scope of this event engine), 'name' which is unique as well and used by the GUI as user readable identificator, 'isSystem' which denotes the action as system action, 'type' which defines what it is, and an argument vector that vary depending on type and which is passed to the action. More...

## Public Attributes

string | id
| Action ID.
string | name
| User-defined name.
boolean | isSystem
| `true` for system-defined actions
string | type
| Action type.
vector< KeyValue > | arguments
| Action argument map.

## Detailed Description

An action is a tuple of 'id' (unique within the scope of this event engine), 'name' which is unique as well and used by the GUI as user readable identificator, 'isSystem' which denotes the action as system action, 'type' which defines what it is, and an argument vector that vary depending on type and which is passed to the action.

The 'isSystem' flag is readonly and if set marks the action as not deletable.

The documentation for this struct was generated from the following file:

- EventEngine.idl